# Uses of Class
java.nio.channels.spi.AbstractSelectionKey

Packages that use AbstractSelectionKey
Package
Description
java.nio.channels.spi
Service-provider classes for the `java.nio.channels` package.

## Uses of AbstractSelectionKey in java.nio.channels.spi

Methods in java.nio.channels.spi with parameters of type AbstractSelectionKey
Modifier and Type
Method
Description
`protected void`
AbstractSelector.`deregister​(AbstractSelectionKey key)`
Removes the given key from its channel's key set.